Actions APIReferenceVaultsSlugClaim

Read current claimable redemption shares for a user.

POST
/vaults/{slug}/claim/pending

Path Parameters

slug*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

redemptionAsset*string

ERC20 address of the redemption asset used to select the NestVault on the requested chain.

Match^0x[a-fA-F0-9]{40}$
chainId*integer

EVM chain ID. Must be one of the supported chains and must match a chain the vault is deployed on.

Range0 < value
user*string

User/controller address whose claimable redemption shares should be read or claimed.

Match^0x[a-fA-F0-9]{40}$

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/vaults/nest-wisdom-vault/claim/pending" \  -H "Content-Type: application/json" \  -d '{    "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af",    "chainId": 98866,    "user": "0x00000000000000000000000000000000000000ab"  }'
{  "data": {    "redemptionType": "nest",    "slug": "string",    "chainId": 0,    "shareTokenAddress": "string",    "redemptionAsset": "string",    "nestVaultAddress": "string",    "user": "string",    "claimableShares": "string",    "shareDecimals": 0  }}